' FILEERRORS.INC
'
'Some of the HIME functions access files.
'These functions can possibly generate file related errors.
'Below is an overview of the various file errors that can occur.
'Note that this list is not necessarily complete.
'
'Error code  Error description
'        1 : Could not overwrite existing file
'       51 : Internal error  
'       52 : Bad filename        
'       53 : File not found        
'       55 : File already open     
'       57 : Device io error       
'       58 : File already exists   
'       61 : Disk full            
'       64 : Bad filename         
'       67 : Too many files        
'       70 : Permission denied    
'       71 : Disk not ready        
'       72 : Disk media error      
'       74 : Rename across disks   
'       75 : Path fileaccess error 
'       76 : Path NOT found 
'       
'===================================================================
'
SUB FILEERRORS( ErrCode AS INT BYVAL ), STRING
	STRING ErrString
	SELECT ErrCode
		CASE  1 : ErrString="Could not overwrite existing file"
		CASE 51 : ErrString="Internal error"
		CASE 52 : ErrString="Bad filename"
		CASE 53 : ErrString="File not found"
		CASE 55 : ErrString="File already open"
		CASE 57 : ErrString="Device io error"
		CASE 58 : ErrString="File already exists"
		CASE 61 : ErrString="Disk full"
		CASE 64 : ErrString="Bad filename"
		CASE 67 : ErrString="Too many files"
		CASE 70 : ErrString="Permission denied"
		CASE 71 : ErrString="Disk not ready"
		CASE 72 : ErrString="Disk media error"
		CASE 74 : ErrString="Rename across disks"
		CASE 75 : ErrString="Path fileaccess error"
		CASE 76 : ErrString="Path NOT found"
		DEFAULT : ErrString="Unknown file error"
	ENDSELECT
	RETURN ErrString
ENDSUB
'       
'===================================================================
'

